#ifndef PANELS_H
#define PANELS_H

#include "vector.h"

#define MAXWASTEBALL 256

typedef struct selection
{
    vector pos;
    int radius;
    int size;

	bool chosen;
	unsigned char condition;
} selection;

void ShowPanels();
void ShowBallSelections();
void ShowWasteBalls();
void CollectWasteball(char color);
void InitPanels();
void RunPanelThings();
void mouse_panel_check(int x, int y, bool clicked);

#endif
